com.holonplatform.vaadin.flow.components.builders

## Interface DialogConfigurator<C extends DialogConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasTextConfigurator<C>
  All Known Subinterfaces:
    DialogBuilder<B>, DialogBuilder.ConfirmDialogBuilder, DialogBuilder.MessageDialogBuilder, DialogBuilder.QuestionDialogBuilder, DialogConfigurator.ClosableDialogConfigurator<C>

      public interface DialogConfigurator<C extends DialogConfigurator<C>>
      extends ComponentConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasTextConfigurator<C>, DeferrableLocalizationConfigurator<C>

  `Dialog` component configurator.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `DialogConfigurator.ClosableDialogConfigurator<C extends DialogConfigurator.ClosableDialogConfigurator<C>>` A `DialogConfigurator` with dialog closing options configuration.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `HasTextConfigurator.BaseHasTextConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `withComponent(com.vaadin.flow.component.Component component)` Add given component to the dialog content.
    `default C` | `withComponent(HasComponent component)` Add given `HasComponent` component to the dialog content.
    `C` | `withOpenedChangeListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.dialog.GeneratedVaadinDialog.OpenedChangeEvent<com.vaadin.flow.component.dialog.Dialog>> listener)` Add a lister for event fired by the `opened-changed` events.
    `C` | `withToolbarComponent(com.vaadin.flow.component.Component component)` Add given component to the dialog toolbar, shown at the bottom of the dialog area.
    `default C` | `withToolbarComponent(HasComponent component)` Add given `HasComponent` component to the dialog toolbar, shown at the bottom of the dialog area.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `create, create, text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### withComponent

          C withComponent(com.vaadin.flow.component.Component component)

      Add given component to the dialog content.

      If a dialog message is configured, the component will be placed after the dialog message element.

      Parameters:
        `component` - The component to add (not null)
      Returns:
        this

    - #### withComponent

          default C withComponent(HasComponent component)

      Add given `HasComponent` component to the dialog content.

      If a dialog message is configured, the component will be placed after the dialog message element.

      Parameters:
        `component` - The component to add (not null)
      Returns:
        this

    - #### withToolbarComponent

          C withToolbarComponent(com.vaadin.flow.component.Component component)

      Add given component to the dialog toolbar, shown at the bottom of the dialog area.
      Parameters:
        `component` - The toolbar component to add (not null)
      Returns:
        this

    - #### withToolbarComponent

          default C withToolbarComponent(HasComponent component)

      Add given `HasComponent` component to the dialog toolbar, shown at the bottom of the dialog area.
      Parameters:
        `component` - The toolbar component to add (not null)
      Returns:
        this

    - #### withOpenedChangeListener

          C withOpenedChangeListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.dialog.GeneratedVaadinDialog.OpenedChangeEvent<com.vaadin.flow.component.dialog.Dialog>> listener)

      Add a lister for event fired by the `opened-changed` events.
      Parameters:
        `listener` - the listener to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.